#############################################################################
# Makefile for building: nmsxtiles
# Generated by qmake (2.01a) (Qt 4.8.1) on: Fri May 3 10:41:41 2013
# Project:  nmsxtiles.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile nmsxtiles.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib/i386-linux-gnu -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = labelbtn.cpp \
		main.cpp \
		mainwindow.cpp \
		screenw.cpp \
		spritesw.cpp \
		supportfuncs.cpp \
		tile.cpp \
		pletter.cpp \
		fdlgloadbiblio.cpp \
		dlgbankrange.cpp \
		dlgsubscreen.cpp moc_labelbtn.cpp \
		moc_mainwindow.cpp \
		moc_screenw.cpp \
		moc_spritesw.cpp \
		moc_fdlgloadbiblio.cpp \
		moc_dlgbankrange.cpp \
		moc_dlgsubscreen.cpp \
		qrc_resources.cpp
OBJECTS       = labelbtn.o \
		main.o \
		mainwindow.o \
		screenw.o \
		spritesw.o \
		supportfuncs.o \
		tile.o \
		pletter.o \
		fdlgloadbiblio.o \
		dlgbankrange.o \
		dlgsubscreen.o \
		moc_labelbtn.o \
		moc_mainwindow.o \
		moc_screenw.o \
		moc_spritesw.o \
		moc_fdlgloadbiblio.o \
		moc_dlgbankrange.o \
		moc_dlgsubscreen.o \
		qrc_resources.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		nmsxtiles.pro
QMAKE_TARGET  = nmsxtiles
DESTDIR       = 
TARGET        = nmsxtiles

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_fscreenw.h ui_fspritesw.h ui_dlgloadbiblio.h ui_dlgbankrange.h ui_dlgsubscreen.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: nmsxtiles.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/i386-linux-gnu/libQtGui.prl \
		/usr/lib/i386-linux-gnu/libQtCore.prl
	$(QMAKE) -o Makefile nmsxtiles.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/i386-linux-gnu/libQtGui.prl:
/usr/lib/i386-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile nmsxtiles.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/nmsxtiles1.0.0 || $(MKDIR) .tmp/nmsxtiles1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/nmsxtiles1.0.0/ && $(COPY_FILE) --parents labelbtn.h mainwindow.h screenw.h spritesw.h supportfuncs.h tile.h fdlgloadbiblio.h dlgbankrange.h dlgsubscreen.h .tmp/nmsxtiles1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/nmsxtiles1.0.0/ && $(COPY_FILE) --parents labelbtn.cpp main.cpp mainwindow.cpp screenw.cpp spritesw.cpp supportfuncs.cpp tile.cpp pletter.cpp fdlgloadbiblio.cpp dlgbankrange.cpp dlgsubscreen.cpp .tmp/nmsxtiles1.0.0/ && $(COPY_FILE) --parents fscreenw.ui fspritesw.ui dlgloadbiblio.ui dlgbankrange.ui dlgsubscreen.ui .tmp/nmsxtiles1.0.0/ && (cd `dirname .tmp/nmsxtiles1.0.0` && $(TAR) nmsxtiles1.0.0.tar nmsxtiles1.0.0 && $(COMPRESS) nmsxtiles1.0.0.tar) && $(MOVE) `dirname .tmp/nmsxtiles1.0.0`/nmsxtiles1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/nmsxtiles1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_labelbtn.cpp moc_mainwindow.cpp moc_screenw.cpp moc_spritesw.cpp moc_fdlgloadbiblio.cpp moc_dlgbankrange.cpp moc_dlgsubscreen.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_labelbtn.cpp moc_mainwindow.cpp moc_screenw.cpp moc_spritesw.cpp moc_fdlgloadbiblio.cpp moc_dlgbankrange.cpp moc_dlgsubscreen.cpp
moc_labelbtn.cpp: labelbtn.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) labelbtn.h -o moc_labelbtn.cpp

moc_mainwindow.cpp: mainwindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_screenw.cpp: ui_fscreenw.h \
		tile.h \
		screenw.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) screenw.h -o moc_screenw.cpp

moc_spritesw.cpp: ui_fspritesw.h \
		labelbtn.h \
		spritesw.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) spritesw.h -o moc_spritesw.cpp

moc_fdlgloadbiblio.cpp: ui_dlgloadbiblio.h \
		fdlgloadbiblio.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) fdlgloadbiblio.h -o moc_fdlgloadbiblio.cpp

moc_dlgbankrange.cpp: ui_dlgbankrange.h \
		dlgbankrange.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) dlgbankrange.h -o moc_dlgbankrange.cpp

moc_dlgsubscreen.cpp: dlgsubscreen.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) dlgsubscreen.h -o moc_dlgsubscreen.cpp

compiler_rcc_make_all: qrc_resources.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_resources.cpp
qrc_resources.cpp: resources.qrc \
		icono.png
	/usr/bin/rcc -name resources resources.qrc -o qrc_resources.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_fscreenw.h ui_fspritesw.h ui_dlgloadbiblio.h ui_dlgbankrange.h ui_dlgsubscreen.h
compiler_uic_clean:
	-$(DEL_FILE) ui_fscreenw.h ui_fspritesw.h ui_dlgloadbiblio.h ui_dlgbankrange.h ui_dlgsubscreen.h
ui_fscreenw.h: fscreenw.ui
	/usr/bin/uic-qt4 fscreenw.ui -o ui_fscreenw.h

ui_fspritesw.h: fspritesw.ui
	/usr/bin/uic-qt4 fspritesw.ui -o ui_fspritesw.h

ui_dlgloadbiblio.h: dlgloadbiblio.ui
	/usr/bin/uic-qt4 dlgloadbiblio.ui -o ui_dlgloadbiblio.h

ui_dlgbankrange.h: dlgbankrange.ui
	/usr/bin/uic-qt4 dlgbankrange.ui -o ui_dlgbankrange.h

ui_dlgsubscreen.h: dlgsubscreen.ui
	/usr/bin/uic-qt4 dlgsubscreen.ui -o ui_dlgsubscreen.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

labelbtn.o: labelbtn.cpp labelbtn.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o labelbtn.o labelbtn.cpp

main.o: main.cpp mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwindow.o: mainwindow.cpp mainwindow.h \
		screenw.h \
		ui_fscreenw.h \
		tile.h \
		spritesw.h \
		ui_fspritesw.h \
		labelbtn.h \
		fdlgloadbiblio.h \
		ui_dlgloadbiblio.h \
		dlgsubscreen.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

screenw.o: screenw.cpp screenw.h \
		ui_fscreenw.h \
		tile.h \
		dlgbankrange.h \
		ui_dlgbankrange.h \
		labelbtn.h \
		supportfuncs.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o screenw.o screenw.cpp

spritesw.o: spritesw.cpp spritesw.h \
		ui_fspritesw.h \
		labelbtn.h \
		supportfuncs.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o spritesw.o spritesw.cpp

supportfuncs.o: supportfuncs.cpp supportfuncs.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o supportfuncs.o supportfuncs.cpp

tile.o: tile.cpp tile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tile.o tile.cpp

pletter.o: pletter.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o pletter.o pletter.cpp

fdlgloadbiblio.o: fdlgloadbiblio.cpp fdlgloadbiblio.h \
		ui_dlgloadbiblio.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o fdlgloadbiblio.o fdlgloadbiblio.cpp

dlgbankrange.o: dlgbankrange.cpp dlgbankrange.h \
		ui_dlgbankrange.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dlgbankrange.o dlgbankrange.cpp

dlgsubscreen.o: dlgsubscreen.cpp dlgsubscreen.h \
		ui_dlgsubscreen.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dlgsubscreen.o dlgsubscreen.cpp

moc_labelbtn.o: moc_labelbtn.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_labelbtn.o moc_labelbtn.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

moc_screenw.o: moc_screenw.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_screenw.o moc_screenw.cpp

moc_spritesw.o: moc_spritesw.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_spritesw.o moc_spritesw.cpp

moc_fdlgloadbiblio.o: moc_fdlgloadbiblio.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_fdlgloadbiblio.o moc_fdlgloadbiblio.cpp

moc_dlgbankrange.o: moc_dlgbankrange.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_dlgbankrange.o moc_dlgbankrange.cpp

moc_dlgsubscreen.o: moc_dlgsubscreen.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_dlgsubscreen.o moc_dlgsubscreen.cpp

qrc_resources.o: qrc_resources.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_resources.o qrc_resources.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

